Subject: [PATCH v2] ARM: cns3xxx: pci: avoid potential stack overflow

From: [email-masked] (Krzysztof Hałasa)
Date: Thu, 08 Oct 2015 12:03:18 +0200

Hi,

Arnd Bergmann <[email-masked]> writes:

> With those two changes in place, we no longer need the fake
> pci_sys_data/pci_bus structures for faking config space writes,
> and the stack usage goes down as well.

>  arch/arm/mach-cns3xxx/pcie.c | 71 +++++++++++++++++++++++++++++----------------------------------------

I'm ATM unable to test this change, but will do that at some point.
Meanwhile, I guess there is nothing I can say against this patch.
Thanks.

Acked-by: Krzysztof Ha?asa <[email-masked]>
-- 
Krzysztof Halasa

Industrial Research Institute for Automation and Measurements PIAP
Al. Jerozolimskie 202, 02-486 Warsaw, Poland